Retrieve a transfer | Moov Documentation

Retrieve a transfer

Retrieve full transfer details for an individual transfer of a particular Moov account.

Payment rail-specific details are included in the source and destination. Read our transfers overview guide to learn more.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/transfers.read scope.

Endpoint

GET

/accounts/{accountID}/transfers/{transferID}

Ask

curl -X GET "https://api.moov.io/accounts/{accountID}/transfers/{transferID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Ask

mc, _ := moov.NewClient()

var accountID string
var transferID string

mc.GetTransfer(ctx, accountID, transferID)

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.transfers.get({
    transferID: "960cf5a2-50a3-4914-ad86-d54c022bf5df",
    accountID: "31113f7b-9f68-44e9-9338-6d8e655c7c96",
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\